This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Leaks in test_deque
Type: resource usage Stage:
Components: Tests Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: rhettinger, serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2015-04-02 09:37 by serhiy.storchaka, last changed 2022-04-11 14:58 by admin. This issue is now closed.

Messages (4)
msg239894 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-02 09:37
$ ./python -m test.regrtest -R 3:3:reflog test_deque
[1/1] test_deque
beginning 6 repetitions
123456
......
test_deque leaked [91, 91, 91] references, sum=273
test_deque leaked [21, 23, 23] memory blocks, sum=67
1 test failed:
    test_deque
msg240052 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-04-04 08:43
Thanks, I'll take a look.
msg240081 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-04-04 16:05
Hmm, I don't see this on my build (Mac OS/X 10.10.2 clang-600.0.57):

$ ./python.exe -m test.regrtest -R 3:3:reflog test_deque
[1/1] test_deque
beginning 6 repetitions
123456
......
1 test OK.


Nor do I see any flux using the test_deque's down repeat loop:
$ ./python.exe Lib/test/test_deque.py
[178999, 178999, 178999, 178999, 178999] 
doctest (test.test_deque) ... 32 tests with zero failures
msg240082 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-04-04 16:09
Looks like Benjamin had fixed this earlier today:
https://mail.python.org/pipermail/python-checkins/2015-April/135444.html
History
Date User Action Args
2022-04-11 14:58:15adminsetgithub: 68037
2015-04-04 16:09:56rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg240082
2015-04-04 16:05:05rhettingersetmessages: + msg240081
2015-04-04 08:43:59rhettingersetassignee: rhettinger
messages: + msg240052
2015-04-02 09:54:23vstinnersetnosy: + vstinner
2015-04-02 09:37:20serhiy.storchakacreate